using System;

namespace bigloo
{
  public sealed class blong: numeral
  {
    private readonly long value;

    public blong( long  value )
    {
      this.value= value;
    }

    public override void write( output_port  p )
    {
      p.write( value.ToString() );
    }
  }
}
